package com.huimv.getdata.mapper;

import com.huimv.getdata.entity.voucher.LinJinHuanKuanQi;
import com.huimv.getdata.entity.voucher.ErpVoucher;
import com.huimv.getdata.entity.voucher.ChanPinShouRu;
import com.huimv.getdata.entity.voucher.JingLiRunQuShi;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;


public interface ErpVoucherMapper  {

    List<ErpVoucher> getShouRuJinE(@Param("date")String date);

    List<ErpVoucher> getDangQianYueYingYeE(@Param("date")String date);

    List<ErpVoucher> getDangQianYueJingLiRun(@Param("date")String date);

    List<ErpVoucher> getDangQianZiJinYvE(@Param("date")String date);

    List<ErpVoucher> getDangYueJieKuanYvE(@Param("date")String date);

    List<ErpVoucher> getGuoNeiWaiSouRu(@Param("date")String date);

    List<ChanPinShouRu> getChanPinShouRu(@Param("date") String date);

    List<JingLiRunQuShi> getJingLiRunQuShi(@Param("date")String date);

    List<LinJinHuanKuanQi> getLinJinHuanKuan(@Param("date")String date);
}
